package com.loafle.overflow.meta;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "TBL_META_VENDOR_CRAWLER_SENSOR_ITEM", schema = "public", catalog = "postgres")
public class MetaVendorCrawlerSensorItem {
    private long id;
    private String interval;
    private String warnCondition;
    private Date createDate;
    private MetaSensorItem metaSensorItem;
    private MetaInfraVendor metaInfraVendor;
    private short crawlerId;

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }


    @Column(name = "INTERVAL", nullable = true, length = 50)
    public String getInterval() {
        return interval;
    }

    public void setInterval(String interval) {
        this.interval = interval;
    }


    @Column(name = "WARN_CONDITION", nullable = true, length = 50)
    public String getWarnCondition() {
        return warnCondition;
    }

    public void setWarnCondition(String warnCondition) {
        this.warnCondition = warnCondition;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

//    @Basic
//    @Column(name = "ITEM_ID", nullable = false)
//    public int getItemId() {
//        return itemId;
//    }
//
//    public void setItemId(int itemId) {
//        this.itemId = itemId;
//    }
//
//    @Basic
//    @Column(name = "VENDOR_ID", nullable = false)
//    public int getVendorId() {
//        return vendorId;
//    }
//
//    public void setVendorId(int vendorId) {
//        this.vendorId = vendorId;
//    }


    @ManyToOne
    @JoinColumn(name = "ITEM_ID", nullable = false)
    public MetaSensorItem getMetaSensorItem() {
        return metaSensorItem;
    }

    public void setMetaSensorItem(MetaSensorItem metaSensorItem) {
        this.metaSensorItem = metaSensorItem;
    }

    @ManyToOne
    @JoinColumn(name = "VENDOR_ID", nullable = false)
    public MetaInfraVendor getMetaInfraVendor() {
        return metaInfraVendor;
    }

    public void setMetaInfraVendor(MetaInfraVendor metaInfraVendor) {
        this.metaInfraVendor = metaInfraVendor;
    }

    @Basic
    @Column(name = "CRAWLER_ID", nullable = false)
    public short getCrawlerId() {
        return crawlerId;
    }

    public void setCrawlerId(short crawlerId) {
        this.crawlerId = crawlerId;
    }

//    @Override
//    public boolean equals(Object o) {
//        if (this == o) return true;
//        if (o == null || getClass() != o.getClass()) return false;
//
//        MetaVendorCrawlerSensorItem that = (MetaVendorCrawlerSensorItem) o;
//
//        if (id != that.id) return false;
//        if (itemId != that.itemId) return false;
//        if (vendorId != that.vendorId) return false;
//        if (crawlerId != that.crawlerId) return false;
//        if (interval != null ? !interval.equals(that.interval) : that.interval != null) return false;
//        if (warnCondition != null ? !warnCondition.equals(that.warnCondition) : that.warnCondition != null)
//            return false;
//        if (createDate != null ? !createDate.equals(that.createDate) : that.createDate != null) return false;
//
//        return true;
//    }
//
//    @Override
//    public int hashCode() {
//        int result = (int) (id ^ (id >>> 32));
//        result = 31 * result + (interval != null ? interval.hashCode() : 0);
//        result = 31 * result + (warnCondition != null ? warnCondition.hashCode() : 0);
//        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
//        result = 31 * result + itemId;
//        result = 31 * result + vendorId;
//        result = 31 * result + (int) crawlerId;
//        return result;
//    }
}
